> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-auto-update-api-spec.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-check the custom domain verification of a v3 status page.

> Ask Cloudflare to re-check the custom domain verification and return the latest state.



## OpenAPI

````yaml post /v3/status-pages/{statusPageId}/custom-domain-verifications/recheck
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v3/status-pages/{statusPageId}/custom-domain-verifications/recheck:
    post:
      tags:
        - Status Pages V3
      summary: Re-check the custom domain verification of a v3 status page.
      description: >-
        Ask Cloudflare to re-check the custom domain verification and return the
        latest state.
      operationId: recheckStatusPageV3CustomDomainVerificationPublic
      parameters:
        - name: x-checkly-account
          in: header
          schema:
            type: string
            x-format:
              guid: true
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
        - name: statusPageId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PublicStatusPageV3CustomDomainVerification
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    PublicStatusPageV3CustomDomainVerification:
      type: object
      properties:
        status:
          type: string
        sslStatus:
          type: string
        validationMethod:
          $ref: '#/components/schemas/StatusPageV3ValidationMethod'
        verificationErrors:
          $ref: '#/components/schemas/StatusPageV3VerificationErrors'
        ownershipVerification:
          $ref: '#/components/schemas/StatusPageV3OwnershipVerification'
        validationRecords:
          $ref: '#/components/schemas/validationRecords'
        sslValidationErrors:
          $ref: '#/components/schemas/sslValidationErrors'
        CNAME:
          type: string
      required:
        - status
        - sslStatus
    UnauthorizedError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 401
        error:
          $ref: '#/components/schemas/error'
        message:
          type: string
          example: Bad Token
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    ForbiddenError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 403
        error:
          $ref: '#/components/schemas/Model1'
        message:
          type: string
          example: Forbidden
      required:
        - statusCode
        - error
    NotFoundError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 404
        error:
          $ref: '#/components/schemas/Model4'
        message:
          type: string
          example: Not Found
      required:
        - statusCode
        - error
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    StatusPageV3ValidationMethod:
      type: string
      enum:
        - txt
        - http
    StatusPageV3VerificationErrors:
      type: array
      items:
        type: string
    StatusPageV3OwnershipVerification:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/OwnershipVerificationTypeV3'
        name:
          type: string
        value:
          type: string
      required:
        - type
        - name
        - value
    validationRecords:
      type: array
      items:
        $ref: '#/components/schemas/StatusPageV3ValidationRecord'
    sslValidationErrors:
      type: array
      items:
        $ref: '#/components/schemas/StatusPageV3SslValidationError'
    error:
      type: string
      enum:
        - Unauthorized
    attributes:
      type: object
    Model1:
      type: string
      enum:
        - Forbidden
    Model4:
      type: string
      enum:
        - Not Found
    Model2:
      type: string
      enum:
        - Too Many Requests
    OwnershipVerificationTypeV3:
      type: string
      enum:
        - txt
        - cname
    StatusPageV3ValidationRecord:
      type: object
      properties:
        status:
          type: string
        txt_name:
          type: string
        txt_value:
          type: string
      required:
        - status
        - txt_name
        - txt_value
    StatusPageV3SslValidationError:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````